Product trade

Search products

https://docs.importexportapi.com/endpoints/searchproducts
gethttps://api.importexportapi.com/products

Search the HS6 product catalog by code prefix or name.

curl -X GET "https://api.importexportapi.com/products?q=example" \
  -H "Authorization: Bearer sk_live_xxxxxxxxxxxxxxxxxxxx"

Authorization

Authorizationstringheaderrequired

Bearer token. API key from your importexportapi dashboard Format: `Bearer sk_live_xxxxxxxxxxxxxxxxxxxx`.

Query parameters

qstringrequired

min length 1

limitintegerdefault 50

min 1 · max 500

Response

200Successful Responseapplication/json
dataProductRow[]required
request_idstringdefault ""
duration_msintegerdefault 0
401Missing or invalid API keyapplication/json
errorstring
messagestring
request_idstring
422Validation Errorapplication/json
detailValidationError[]
429Rate limit exceededapplication/json
errorstring
messagestring
request_idstring
Response
{
  "data": [
    {
      "hs6": "example",
      "hs_version": 0,
      "name": "Acme Corp"
    }
  ],
  "request_id": "",
  "duration_ms": 0
}